# disable -debuginfo RPM generation
%global debug_package %{nil}

Summary: Log collector and forwarder
Name: mustash
Version: 0.2.117
Release: 1
Source: http://www.ezix.org/software/files/%{name}-%{version}.tar.gz
URL: http://ezix.org/project/wiki/muStash
License: GPL
Group: Applications/System
BuildRequires: golang
BuildRequires: git
BuildRequires: systemd-devel
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd

%description
μStash is a lightweight log management system.

%prep
%setup -q

%build
%{__make} VERSION=%{version} all

%install
%{__rm} -rf "%{buildroot}"

%{__install} -D mustash-%{version} "%{buildroot}%{_sbindir}/mustash"
%{__mkdir} -p "%{buildroot}%{_libexecdir}/%{name}"
%{__cp} bin/* "%{buildroot}%{_libexecdir}/%{name}/"

%{__mkdir} -p "%{buildroot}%{_sharedstatedir}/%{name}"

%{__mkdir} -p "%{buildroot}%{_sysconfdir}"
%{__cp} "%{name}.conf" "%{buildroot}%{_sysconfdir}"

%{__mkdir} -p "%{buildroot}%{_unitdir}"
%{__cat} > "%{buildroot}%{_unitdir}/%{name}.service" << @@END
[Unit]
Description=μStash log management
After=network.target remote-fs.target nss-lookup.target

[Service]
Type=notify
ExecStart=%{_sbindir}/mustash

[Install]
WantedBy=multi-user.target
@@END

%post
%systemd_post mustash.service

%preun
%systemd_preun mustash.service

%postun
%systemd_postun_with_restart mustash.service

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root, 0555)
%doc doc/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/*
%{_sbindir}/*
%{_libexecdir}/*
%{_sharedstatedir}/*

%changelog
* Fri Dec 18 2015 Lyonel Vincent <lyonel@ezix.org> 0.1-1
- RPM packaging
